### Function

# Ide Triplet new

#### Declaration

    IdeTriplet*
    ide_triplet_new (
      const gchar* full_name
    )

#### Description

Creates a new `IdeTriplet` from a given identifier. This identifier can be a simple architecture name, a duet of “arch-kernel” (like “m68k-coff”), a triplet of “arch-kernel-os” (like “x86_64-linux-gnu”) or a quadriplet of “arch-vendor-kernel-os” (like “i686-pc-linux-gnu”)

Available since: | 3.32

#### Parameters

`full_name` | `const gchar*`
| The complete identifier of the machine.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeTriplet`
| An `IdeTriplet`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.